# -*- encoding: utf-8 -*-
# stub: configliere 0.4.22 ruby lib

Gem::Specification.new do |s|
  s.name = "configliere".freeze
  s.version = "0.4.22"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Infochimps".freeze]
  s.date = "2014-10-20"
  s.description = "You've got a script. It's got some settings. Some settings are for this module, some are for that module. Most of them don't change. Except on your laptop, where the paths are different.  Or when you're in production mode. Or when you're testing from the command line.\n\n   \"\" So, Consigliere of mine, I think you should tell your Don what everyone knows. \"\" -- Don Corleone\n\nConfigliere manage settings from many sources: static constants, simple config files, environment variables, commandline options, straight ruby. You don't have to predefine anything, but you can ask configliere to type-convert, require, document or password-obscure any of its fields. Modules can define config settings independently of each other and the main program.\n".freeze
  s.email = ["coders@infochimps.org".freeze]
  s.executables = ["configliere".freeze, "configliere-decrypt".freeze, "configliere-delete".freeze, "configliere-dump".freeze, "configliere-encrypt".freeze, "configliere-list".freeze, "configliere-set".freeze]
  s.files = ["bin/configliere".freeze, "bin/configliere-decrypt".freeze, "bin/configliere-delete".freeze, "bin/configliere-dump".freeze, "bin/configliere-encrypt".freeze, "bin/configliere-list".freeze, "bin/configliere-set".freeze]
  s.homepage = "https://github.com/infochimps-labs/configliere".freeze
  s.licenses = ["Apache 2.0".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Wise, discreet configuration management".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<multi_json>.freeze, ["~> 1.10.1"])
    s.add_runtime_dependency(%q<highline>.freeze, ["= 1.5.2"])
  else
    s.add_dependency(%q<multi_json>.freeze, ["~> 1.10.1"])
    s.add_dependency(%q<highline>.freeze, ["= 1.5.2"])
  end
end
